"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rule_1 = require("../rule");
class NoInlineStyle extends rule_1.Rule {
    documentation() {
        return {
            description: "Inline style is a sign of unstructured CSS. Use class or ID with a separate stylesheet.",
            url: rule_1.ruleDocumentationUrl(__filename),
        };
    }
    setup() {
        this.on("attr", (event) => {
            if (event.key === "style") {
                this.report(event.target, "Inline style is not allowed");
            }
        });
    }
}
module.exports = NoInlineStyle;
